Summary: Userland logical volume management tools
Name: lvm2
Version: 2.02.25
Release: alt1
License: GPL
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Group: System/Base
Url: http://sources.redhat.com/lvm2
Source: %name.%version.tar.bz2
Conflicts: liblvm

%define _sbindir /sbin
%def_enable static

BuildRequires: glibc-kernheaders, libdevmapper-devel >= 1.02.19-alt1
BuildRequires: libreadline-devel, libtinfo-devel
%{?_enable_static:BuildRequires: libdevmapper-devel-static libreadline-devel-static libtinfo-devel-static}

%description
LVM2 includes all of the support for handling read/write operations
on physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical
partitions) in volume groups.

%package static
Summary: Statically linked userland logical volume management tool
Group: System/Base
Requires: %name = %version-%release

%description static
This package contains statically linked LVM2 tool.

%prep
%setup -q -n %name.%version
%__subst -p 's/ncurses/tinfo &/' configure*

%build
export ac_cv_path_MODPROBE_CMD=/sbin/modprobe

%if_enabled static
%configure \
	--disable-readline \
	--disable-selinux \
	--enable-jobs=%__nprocs \
	--enable-lvm1_fallback \
	--enable-static_link \
	--with-group= \
	--with-staticdir=/sbin \
	--with-user= \
	#
%__make lib
%__make -C tools lvm.static
mv tools/lvm.static .
%__make clean
%endif # static

# dynamic
%configure \
	--disable-selinux \
	--disable-static_link \
	--enable-jobs=%__nprocs \
	--enable-lvm1_fallback \
	--enable-readline \
	--with-group= \
	--with-user= \
	#
%__make

%install
%make_install install DESTDIR=%buildroot
chmod -R u+rwX %buildroot
%{?_enable_static:install -pm755 lvm.static %buildroot/sbin/}

mkdir -p %buildroot/etc/lvm/{archive,backup}
mkdir -p %buildroot/var/lock/lvm
install -m700 /dev/null %buildroot/etc/lvm/.cache

%files
%doc README WHATS_NEW
/sbin/*
%{?_enable_static:%exclude /sbin/*.static}
%_mandir/man?/*
%config(noreplace) /etc/lvm/lvm.conf
%dir /etc/lvm/
%defattr(600,root,root,700)
/etc/lvm/backup/
/etc/lvm/archive/
/var/lock/lvm/
%ghost %verify(not md5 size mtime) %config(missingok,noreplace) /etc/lvm/.cache

%if_enabled static
%files static
/sbin/*.static
%endif # static

%changelog
* Wed May 02 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.02.25-alt1
- 2.02.25.
- Stricted build requires for libdevmapper-devel >= 1.02.19-alt1.

* Sun Mar 11 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.02.23-alt1
- 2.02.23.

* Wed Feb 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.02.22-alt1
- 2.02.22.

* Sun Jan 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.02.19-alt1
- 2.02.19.
- Stricted build requires for libdevmapper-devel >= 1.02.15-alt1.

* Fri Dec 15 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.02.17-alt1
- 2.02.17.

* Sat Nov 11 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.02.14-alt1
- 2.02.14.

* Thu Oct 19 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.02.12-alt1
- 2.02.12.
- Stricted build requires for libdevmapper-devel >= 1.02.12-alt1.

* Mon Feb 06 2006 Dmitry V. Levin <ldv@altlinux.org> 2.02.01-alt2
- Removed ncurses dependencies.
- Relocated utilities to /sbin/.
- Linked lvm.static without readline and packaged it
  in separate subpackage.
- Cleaned up specfile according to ALT packaging policy.

* Mon Jan 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.02.01-alt1
- NMU.
- New development version.
- Added buildrequires: libdevmapper-devel-static >= 1.02.02.
- Added packager field.

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.01.14-alt1.1
- Rebuilt with libreadline.so.5.

* Wed Sep 14 2005 Anton Farygin <rider@altlinux.ru> 2.01.14-alt1
- 2.01.14

* Fri Jul 15 2005 Anton Farygin <rider@altlinux.ru> 2.01.09-alt2
- requires updated for lvmcompat package

* Fri Jun 24 2005 Anton Farygin <rider@altlinux.ru> 2.01.09-alt1
- first build for sisyphus, based on specfile from fedora project
